aboutsummaryrefslogtreecommitdiffstats
path: root/gcc-4.9/maintainer-scripts/update_version_svn
diff options
context:
space:
mode:
authorBen Cheng <bccheng@google.com>2014-03-25 22:37:19 -0700
committerBen Cheng <bccheng@google.com>2014-03-25 22:37:19 -0700
commit1bc5aee63eb72b341f506ad058502cd0361f0d10 (patch)
treec607e8252f3405424ff15bc2d00aa38dadbb2518 /gcc-4.9/maintainer-scripts/update_version_svn
parent283a0bf58fcf333c58a2a92c3ebbc41fb9eb1fdb (diff)
downloadtoolchain_gcc-1bc5aee63eb72b341f506ad058502cd0361f0d10.tar.gz
toolchain_gcc-1bc5aee63eb72b341f506ad058502cd0361f0d10.tar.bz2
toolchain_gcc-1bc5aee63eb72b341f506ad058502cd0361f0d10.zip
Initial checkin of GCC 4.9.0 from trunk (r208799).
Change-Id: I48a3c08bb98542aa215912a75f03c0890e497dba
Diffstat (limited to 'gcc-4.9/maintainer-scripts/update_version_svn')
-rwxr-xr-xgcc-4.9/maintainer-scripts/update_version_svn85
1 files changed, 85 insertions, 0 deletions
diff --git a/gcc-4.9/maintainer-scripts/update_version_svn b/gcc-4.9/maintainer-scripts/update_version_svn
new file mode 100755
index 000000000..e4a738ad7
--- /dev/null
+++ b/gcc-4.9/maintainer-scripts/update_version_svn
@@ -0,0 +1,85 @@
+#!/bin/sh
+#
+# Update the current version date in all files in the tree containing
+# it. Consider all release branches except those matching the regular
+# expression in $IGNORE_BRANCHES, and also consider those branches listed
+# in the space separated list in $ADD_BRANCHES.
+
+SVNROOT=${SVNROOT:-"file:///svn/gcc"}
+IGNORE_BRANCHES='gcc-(2_95|3_0|3_1|3_2|3_3|3_4|4_0|4_1|4_2|4_3|4_4|4_5|4_6)-branch'
+ADD_BRANCHES='HEAD'
+
+# Run this from /tmp.
+export SVNROOT
+/bin/rm -rf /tmp/$$
+/bin/mkdir /tmp/$$
+cd /tmp/$$
+
+SVN=${SVN:-/usr/bin/svn}
+
+# Compute the branches which we should update.
+BRANCHES=`$SVN ls $SVNROOT/branches \
+ | sed -e 's/\///' \
+ | egrep 'gcc-[0-9]+_[0-9]+-branch$' \
+ | egrep -v $IGNORE_BRANCHES`
+# Always update the mainline.
+BRANCHES="${BRANCHES} ${ADD_BRANCHES}"
+
+# This is put into the datestamp files.
+CURR_DATE=`/bin/date +"%Y%m%d"`
+
+datestamp_FILES="gcc/DATESTAMP"
+
+
+# Assume all will go well.
+RESULT=0
+for BRANCH in $BRANCHES; do
+ echo "Working on \"$BRANCH\"."
+ # Check out the files on the branch. HEAD is in a different namespace.
+ if test "$BRANCH" = HEAD; then
+ SVNROOT2=${SVNROOT}/trunk
+ else
+ SVNROOT2=${SVNROOT}/branches/${BRANCH}
+ fi
+
+ for i in $datestamp_FILES; do
+ ${SVN} -q co -N ${SVNROOT2}/`dirname $i` `basename $i`
+ done
+
+ # There are no files to commit yet.
+ COMMIT_FILES=""
+
+ for file in $datestamp_FILES; do
+ dirname=`basename $file`
+ file=`basename $file`
+ file="$dirname/$file"
+ if test -f $file; then
+ echo ${CURR_DATE} > $file.new
+
+ if /usr/bin/cmp -s $file $file.new; then
+ rm -f $file.new
+ else
+ mv -f $file.new $file
+ COMMIT_FILES="$COMMIT_FILES $file"
+ fi
+ fi
+ done
+
+ if test -n "$COMMIT_FILES"; then
+ for i in $COMMIT_FILES; do
+ echo "Attempting to commit $i"
+ if ! ${SVN} commit -m "Daily bump." $i; then
+ # If we could not commit the files, indicate failure.
+ RESULT=1
+ fi
+ done
+ fi
+
+ # Remove the files.
+ for i in $datestamp_FILES; do
+ rm -rf /tmp/$$/`basename $i`
+ done
+done
+
+/bin/rm -rf /tmp/$$
+exit $RESULT